Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Shock Troopers (shocktro.zip) not loading using FBA:



  • I just came across an isse trying to run Shock Trooper (shocktro.zip) using FBA. I am on retropie 4.4 on an rpi3b and update fba from source to check that. Here is part of the run command verbose log I get when trying to launch it:

    [libretro WARN] [FBA] Searching ROM at index 0 with CRC 0xefedf8dc and name 238-pg1.p1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 128 with CRC 0x91b64be3 and name asia-s3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 129 with CRC 0x9036d879 and name sp-s2.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 130 with CRC 0xc7f2fa45 and name sp-s.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 131 with CRC 0xe72943de and name sp-u2.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 132 with CRC 0x62f021f4 and name v2.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 133 with CRC 0x2723a5b5 and name sp-e.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 134 with CRC 0x2025b7a2 and name sp1-u3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 135 with CRC 0xf0e8f27d and name vs-bios.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 136 with CRC 0xacede59c and name sp-j2.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 137 with CRC 0x9fb0abe4 and name sp1.jipan.1024 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 138 with CRC 0x03cc9f6a and name sp-45.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 139 with CRC 0xdff6d41f and name japan-j3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 140 with CRC 0xfbc6d469 and name sp1-j3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 141 with CRC 0x16d0c132 and name neo-po.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 142 with CRC 0xd27a71f1 and name neo-epo.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 143 with CRC 0x698ebb7d and name neodebug.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 144 with CRC 0x162f0ebe and name sp-1v1_3db8c.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 145 with CRC 0x24858466 and name uni-bios_3_3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 146 with CRC 0xa4e8b9b3 and name uni-bios_3_2.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 147 with CRC 0x0c58093f and name uni-bios_3_1.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 148 with CRC 0xa97c89a9 and name uni-bios_3_0.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 149 with CRC 0x27664eb5 and name uni-bios_2_3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 150 with CRC 0x601720ae and name uni-bios_2_3o.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 151 with CRC 0x2d50996a and name uni-bios_2_2.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 152 with CRC 0x8dabf76b and name uni-bios_2_1.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 153 with CRC 0x0c12c2ad and name uni-bios_2_0.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 154 with CRC 0xb24b44a0 and name uni-bios_1_3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 155 with CRC 0x4fa698e9 and name uni-bios_1_2.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 156 with CRC 0xe19d3ce9 and name uni-bios_1_2o.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 157 with CRC 0x5dda0d84 and name uni-bios_1_1.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 158 with CRC 0x0ce453a0 and name uni-bios_1_0.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 159 with CRC 0xcb915e76 and name neopen.sp1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 162 with CRC 0x94416d67 and name sm1.sm1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 163 with CRC 0xc2ea0cfd and name sfix.sfix => Not Found
    [libretro WARN] [FBA] Searching ROM at index 164 with CRC 0x5a86cff2 and name 000-lo.lo => Not Found
    [libretro INFO] [FBA] Parsing archive /home/pi/RetroPie/BIOS/neogeo.
    [libretro WARN] [FBA] Searching ROM at index 0 with CRC 0xefedf8dc and name 238-pg1.p1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 134 with CRC 0x2025b7a2 and name sp1-u3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 140 with CRC 0xfbc6d469 and name sp1-j3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 141 with CRC 0x16d0c132 and name neo-po.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 142 with CRC 0xd27a71f1 and name neo-epo.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 143 with CRC 0x698ebb7d and name neodebug.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 145 with CRC 0x24858466 and name uni-bios_3_3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 159 with CRC 0xcb915e76 and name neopen.sp1 => Not Found
    [libretro INFO] [FBA] Parsing archive /home/pi/RetroPie/roms/arcade/0 FBA/shocktro.
    [libretro WARN] [FBA] Searching ROM at index 0 with CRC 0xefedf8dc and name 238-pg1.p1 => Not Found
    [libretro WARN] [FBA] Searching ROM at index 134 with CRC 0x2025b7a2 and name sp1-u3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 140 with CRC 0xfbc6d469 and name sp1-j3.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 141 with CRC 0x16d0c132 and name neo-po.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 142 with CRC 0xd27a71f1 and name neo-epo.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 143 with CRC 0x698ebb7d and name neodebug.bin => Not Found
    [libretro WARN] [FBA] Searching ROM at index 145 with CRC 0x24858466 and name uni-bios_3_3.rom => Not Found
    [libretro WARN] [FBA] Searching ROM at index 159 with CRC 0xcb915e76 and name neopen.sp1 => Not Found
    [libretro INFO] MVS Neo Geo Mode selected => Set NeoSystem: 0x00 (asia-s3.rom [0x91b64be3] (MVS Asia/Europe ver. 6 (1 slot))).
    [libretro ERROR] [FBA] ROM at index 0 with CRC 0xefedf8dc is required ...
    [libretro ERROR] [FBA] Cannot find driver.
    [libretro ERROR] [FBA] Cannot load this game.
    [ERROR] Failed to load content.

    I noticed that it is looking for a file called 238-pg1.p1 and when I open shocktro.zip there is only a file names 238.p1.p1. Could that be the issue? This same rom worked perfectly on 4.3 and all my other neo geo roms are still working now.

    Any thoughts?



  • @loggahead if the version of FBA changed, then there is a possibility of incompatibility with older version. Did you have tried to rename that file if it is working then?

    Please reformat your posting using tags for the console output.

    Add following information from this posting: https://retropie.org.uk/forum/topic/3/read-this-first



  • @loggahead As I said in the other topic, I think it's because of the changes in 0.2.97.43 for this Romset (shocktro). If you're familiar to ClrMamePro or RomCenter, you should be able to re-validate/fix this Romset with the new FBAlphad dat file (https://github.com/libretro/fbalpha/tree/master/dats).
    As far as I see, the ROM might be part of the shocktroa ROMset.



  • @mitu do I understand this correctly that the latest lr-fbalpha emulator that is active in retropie if you update from source requires an updated romset v0.2.97.43???

    this would be strange because the wiki still says v0.2.97.42. see also wiki here



  • @robertvb83 said in Shock Troopers (shocktro.zip) not loading using FBA::

    this would be strange because the wiki still says v0.2.97.42. see also wiki here

    It's not strange. If you install from binary you get v0.2.97.42, if you install from source it's v0.2.97.43. Since v0.2.97.43 has been released recently, the wiki hasn't been yet updated.



  • @mitu said in Shock Troopers (shocktro.zip) not loading using FBA::

    f you install from binary you get v0.2.97.42, if you install from source it's v0.2.97.43. Since v0.2.97.43 has been released recently, the wiki hasn't been yet updated.

    I definitely think you are right mitu. I reinstalled fba from binary to just get back .42 and Shock Troopers is working again. I won't update fba from source again until I get a chance to use clrmame to update my set to .43. I have never used clrmame before so I will do some research into how to do that. Is it feasible to take a merged .42 set and convert it to a non-merged .43? I like non-merged sets so that I can put us region games when possible.



  • @loggahead If you haven't used ClrMamePro before, then you can as I do - use Romcenter. It's relatively easy to use, but I only use it for individual ROMs , so I can't say how it will work for the whole ROM set.
    What I did was to use a full (non-merged) set for .42, then add the the MAME diff ROM sets, picking the MAME releases according to the FBAlpha's changelog (https://www.fbalpha.com/view/240/). I'm sure it's not the correct way and you can probably use a full MAME ROM set in conjunction with the .42 non-merged set, but since I only use it sparingly it gets the job done.
    Maybe a full .43 non-merged ROM set will emerge at some point so you don't have to rebuild/validate starting from the .42 ROM set (gee, a lot of sets in these paragraphs!).



  • @mitu said in Shock Troopers (shocktro.zip) not loading using FBA::

    Maybe a full .43 non-merged ROM set will emerge at some point so you don't have to rebuild/validate starting from the .42 ROM se

    Do you think it is possible to convert my .42 merged set to a non-merged .42 set using romcenter before trying to convert any of it to .43?



  • @loggahead said in Shock Troopers (shocktro.zip) not loading using FBA::

    Do you think it is possible to convert my .42 merged set to a non-merged .42 set using romcenter before trying to convert any of it to .43?

    Honestly, I don't know, since I'm just a casual user I haven't yet performed any bulk operations. Maybe someone more versed with the ROM sets operations can weigh in on this matter.



  • @loggahead i would recommend to use clrmamepro to convert your split set into a full non-merged set. it is very easy to do even if you never used clrmamepro before!
    you can find a very good step by step tutorial here

    you can then use the same Tutorial to rebuild the ...43 version of fba using the latest fba dat file from github. as a rom source you can start with ...42 the scanner will tell you what roms are missing so that you can add those as a source in the second path of rebuilding (you could also try a recent full mame romset as source)



  • @robertvb83 said in Shock Troopers (shocktro.zip) not loading using FBA::

    (you could also try a recent full mame romset as source)

    = Excellent

    I found some guides including one by Herb here that i will give a shot tonight!



  • @robertvb83 said in Shock Troopers (shocktro.zip) not loading using FBA::

    @mitu do I understand this correctly that the latest lr-fbalpha emulator that is active in retropie if you update from source requires an updated romset v0.2.97.43???

    this would be strange because the wiki still says v0.2.97.42. see also wiki here

    This is seriously depressing when people prefer trusting a web page instead of what the emulator is showing in its menu. The fbalpha2012 version shown in the wiki page is also wrong, it has been known for almost 3 years that it was not 0.2.97.30, and the emulator menu has been showing 0.2.97.29 for almost 2 years.
    Trust the emulator, not a web page, web page can be outdated while the emulator generally know its own version.

    And please stop asking if you need to update your romset every time there is a new release of fba : YES YOU DO



  • @barbudreadmon I find it a little depressing that people loose perspective and take all those things as common sense.

    the whole mame, fba, roms vs. emulator versions is really not so easy to understand if you begin your retro gaming journey. It took me an insane amount of reading and brain confusion until i finally got the principle.

    If you then find an official tutorial and matching table describing what romset you need for what emulator this can be like the holy grail. If those wikis are not kept up to date only insiders will keep on track. But keep in mind there are people coming into this hobby daily.



  • @robertvb83 Everything you need to know about lr-fbalpha is in the lr-fbalpha github repository, which is linked in the wiki page, up-to-date dats included.



  • @barbudreadmon fully understood. the thing is that the most difficult part for beginners is to get to know what you need to know.
    maybe instead of describing such things in the wiki, only a link to the respective github repo should be provided



  • @robertvb83 i guess i could improve the readme in the repository with a Q&A section, direct links to the dats, and information about the command line optional argument to load non-arcade games (fba is actually an awesome emulator for gamegear, mastersystem, sg-1000, megadrive, pceengine, turbografx-16, supergrafx, and msx; it is known to run properly some games that won't on genplus_gx/picodrive).
    Perhaps alternate dats (neogeo only, no-clones) would be nice too.



  • @barbudreadmon when trying to rebuilt the fba...43 romset i get missing roms for 1000s of games... could this be a problem of the dat file? they dont seem to exist anywhere.

    missing BIOS rom: sp1-j3.bin
    missing BIOS rom: sp1-u3.bin
    




  • I was able to find a full fba .43 romset last week online. Took a while to download, but it's perfect and I didn't have to bust out clrmamepro. (Though I am well versed in how to use it)
    Obviously I can't mention where to get roms at here, but it only took me about 6 minutes of searching to find it.


  • Global Moderator

    @robertvb83 said in Shock Troopers (shocktro.zip) not loading using FBA::

    @mitu do I understand this correctly that the latest lr-fbalpha emulator that is active in retropie if you update from source requires an updated romset v0.2.97.43???

    this would be strange because the wiki still says v0.2.97.42. see also wiki here

    not strange - updating the wiki properly to reflect the new romset involves updating various links to datfiles, the compatibility lists (this alone takes HOURS), and quite a bit of text referring to the previous version in both the wiki and the script. i've done this myself the last couple of FBA versions, but have zero motivation to do it right now.


 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.